# std::uniform_int_distribution< _IntType > Class Template Reference
[Uniform]

Uniform discrete distribution for random numbers. A discrete random distribution on the range with equal probability throughout the range. More...

List of all members.

## Classes

- struct param_type

## Public Types

- typedef _IntType result_type

## Public Member Functions

- uniform_int_distribution (_IntType __a=0, _IntType __b=std::numeric_limits< _IntType >::max())
- uniform_int_distribution (const param_type &__p)
- result_type a () const
- result_type b () const
- result_type max () const
- result_type min () const
- template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
- template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
- void param (const param_type &__param)
- param_type param () const
- void reset ()

## Public Attributes

- param_type _M_param

## Detailed Description

### template<typename _IntType = int>
class std::uniform_int_distribution< _IntType >

Uniform discrete distribution for random numbers. A discrete random distribution on the range with equal probability throughout the range.

Definition at line 1628 of file random.h.

## Member Typedef Documentation

template<typename _IntType = int>

typedef _IntType std::uniform_int_distribution< _IntType >::result_type

The type of the range of the distribution.

Definition at line 1635 of file random.h.

## Constructor & Destructor Documentation

template<typename _IntType = int>

std::uniform_int_distribution< _IntType >::uniform_int_distribution | ( | _IntType | __a = `0`,
|  | _IntType | __b = `std::numeric_limits<_IntType>::max()` |
| ) |  |  | `[inline, explicit]`

Constructs a uniform distribution object.

Definition at line 1671 of file random.h.

## Member Function Documentation

template<typename _IntType = int>

result_type std::uniform_int_distribution< _IntType >::max | ( |  | ) | const`[inline]`

Returns the inclusive upper bound of the distribution range.

Definition at line 1723 of file random.h.

template<typename _IntType = int>

result_type std::uniform_int_distribution< _IntType >::min | ( |  | ) | const`[inline]`

Returns the inclusive lower bound of the distribution range.

Definition at line 1716 of file random.h.

template<typename _IntType = int>
template<typename _UniformRandomNumberGenerator >

result_type std::uniform_int_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) | `[inline]`

Generating functions.

Definition at line 1731 of file random.h.

References std::uniform_int_distribution< _IntType >::operator()(), and std::uniform_int_distribution< _IntType >::param().

Referenced by std::uniform_int_distribution< _IntType >::operator()().

template<typename _IntType = int>

void std::uniform_int_distribution< _IntType >::param | ( | const param_type & | __param | ) | `[inline]`

Sets the parameter set of the distribution.

Parameters:

  | __param | The new parameter set of the distribution.

Definition at line 1709 of file random.h.

template<typename _IntType = int>

param_type std::uniform_int_distribution< _IntType >::param | ( |  | ) | const`[inline]`

Returns the parameter set of the distribution.

Definition at line 1701 of file random.h.

Referenced by std::uniform_int_distribution< _IntType >::operator()(), std::operator==(), and std::operator>>().

template<typename _IntType = int>

void std::uniform_int_distribution< _IntType >::reset | ( |  | ) | `[inline]`

Resets the distribution state.

Does nothing for the uniform integer distribution.

Definition at line 1687 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- random.tcc